Index: orxonox/branches/physics/src/lib/gui/gui/Makefile.am
===================================================================
--- orxonox/branches/physics/src/lib/gui/gui/Makefile.am	(revision 4314)
+++ orxonox/branches/physics/src/lib/gui/gui/Makefile.am	(revision 4316)
@@ -25,5 +25,6 @@
 noinst_LIBRARIES = libORXgui.a 
 
-libORXgui_a_CPPFLAGS=$(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
+libORXgui_a_CPPFLAGS = -DBUILD_ORXONOX \
+			$(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
 libORXgui_a_SOURCES = gui.cc \
Index: orxonox/branches/physics/src/lib/gui/gui/gui_gtk.cc
===================================================================
--- orxonox/branches/physics/src/lib/gui/gui/gui_gtk.cc	(revision 4314)
+++ orxonox/branches/physics/src/lib/gui/gui/gui_gtk.cc	(revision 4316)
@@ -47,6 +47,11 @@
 bool initGUI(int argc, char *argv[])
 {
-  executable = new char[strlen(argv[0])+1];
-  strcpy(executable, argv[0]);
+  if (argv)
+    {
+      executable = new char[strlen(argv[0])+1];
+      strcpy(executable, argv[0]);
+    }
+  else
+    executable = NULL;
 
 #ifdef HAVE_GTK2
@@ -1080,5 +1085,7 @@
 {
   static_cast<Option*>(option)->changeOption();
-  flags->setTextFromFlags(Window::mainWindow);  //// must be different !!!
+#ifdef BUILD_ORXONOX
+  flags->setTextFromFlags(Window::mainWindow);
+#endif
 }
 #endif /* HAVE_GTK2 */
Index: orxonox/branches/physics/src/subprojects/particles/Makefile.am
===================================================================
--- orxonox/branches/physics/src/subprojects/particles/Makefile.am	(revision 4314)
+++ orxonox/branches/physics/src/subprojects/particles/Makefile.am	(revision 4316)
@@ -30,9 +30,12 @@
 
 
-AM_LDFLAGS=$(MWINDOWS)
+AM_LDFLAGS=$(MWINDOWS) \
+           $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
 bin_PROGRAMS = particles
 
-particles_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a
+particles_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a 
+
+particles_CPPFLAGS = $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
 particles_SOURCES= framework.cc \
@@ -55,5 +58,6 @@
 		  $(MAINSRCDIR)/lib/graphics/text_engine.cc \
 		  $(MAINSRCDIR)/lib/coord/p_node.cc \
-		  $(MAINSRCDIR)/lib/coord/null_parent.cc
+		  $(MAINSRCDIR)/lib/coord/null_parent.cc \
+		  $(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc
 
 noinst_HEADERS = framework.h
Index: orxonox/branches/physics/src/subprojects/particles/framework.cc
===================================================================
--- orxonox/branches/physics/src/subprojects/particles/framework.cc	(revision 4314)
+++ orxonox/branches/physics/src/subprojects/particles/framework.cc	(revision 4316)
@@ -19,4 +19,5 @@
 #include "particle_engine.h"
 
+#include "gui_gtk.h"
 #include "p_node.h"
 #include "null_parent.h"
@@ -27,4 +28,6 @@
 #include "resource_manager.h"
 #include "camera.h"
+
+#include <pthread.h>
 
 int verbose;
@@ -348,9 +351,28 @@
 
 
+void* Framework::initGui(void* argv)
+{
+  Window* guiMainWindow = NULL;
+  
+  initGUI(0, NULL);
+  
+  guiMainWindow = new Window("ParticlesFUN");
+  
+  Window::mainWindow->showall();
+  mainloopGUI();
+}
+
+
 
 int main(int argc, char *argv[])
 {
   verbose = 3;
+  pthread_t guiThread;
+
   Framework* framework = new Framework();
+
+  pthread_create(&guiThread, NULL, Framework::initGui,(void*) argv);
+  //  framework->initGui(argv);
+
   framework->mainLoop();
 
Index: orxonox/branches/physics/src/subprojects/particles/framework.h
===================================================================
--- orxonox/branches/physics/src/subprojects/particles/framework.h	(revision 4314)
+++ orxonox/branches/physics/src/subprojects/particles/framework.h	(revision 4316)
@@ -33,4 +33,6 @@
   bool keyHandler();
 
+  static void* initGui(void* argv);
+
   void printHelp(void) const;
 };
